import React from 'react';
import { NumericFormatProps, ChangeMeta, InputAttributes, FormatInputValueFunction, RemoveFormattingFunction } from './types';
export declare function format<BaseType = InputAttributes>(numStr: string, props: NumericFormatProps<BaseType>): string;
export declare function removeFormatting<BaseType = InputAttributes>(value: string, changeMeta: ChangeMeta, props: NumericFormatProps<BaseType>): string;
export declare function getCaretBoundary<BaseType = InputAttributes>(formattedValue: string, props: NumericFormatProps<BaseType>): boolean[];
export declare function useNumericFormat<BaseType = InputAttributes>(props: NumericFormatProps<BaseType>): {
    value: string;
    valueIsNumericString: boolean;
    onValueChange: import("./types").OnValueChange;
    format: FormatInputValueFunction;
    removeFormatting: RemoveFormattingFunction;
    getCaretBoundary: (formattedValue: string) => boolean[];
    onKeyDown: React.KeyboardEventHandler<HTMLInputElement>;
    onBlur: React.FocusEventHandler<HTMLInputElement>;
};
export default function NumericFormat<BaseType = InputAttributes>(props: NumericFormatProps<BaseType>): JSX.Element;
